package run

import (
	"fmt"
	"os"

	"git.fjla.uk/fred.boniface/map-dots/log"
)

func envCheck() {
	log.Msg.Debug("reading Traccar credentials from environment")
	user := os.Getenv("TRACCAR_USER")
	pass := os.Getenv("TRACCAR_PASS")
	url := os.Getenv("TRACCAR_URL")

	if user == "" || pass == "" || url == "" {
		fmt.Println("To use Traccar, you must set the environment variables:\n'TRACCAR_USER', 'TRACCAR_PASS', 'TRACCAR_URL' and for CLI use only 'TRACCAR_DEVID'")
		os.Stdout.Sync() // Flush the output buffer
		log.Msg.Fatal("Unable to read values from environment")
	}

	log.Msg.Debug("Traccar credentials exist in environment")
}
